classification
Title: Idle: test AutoComplete.py
Type: enhancement Stage: patch review
Components: IDLE Versions: Python 3.5, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: JayKrish, Todd.Rovito, ezio.melotti, philwebster, python-dev, sahutd, terry.reedy
Priority: normal Keywords: patch

Created on 2013-07-09 02:33 by philwebster, last changed 2014-06-04 00:59 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
18409test_autocomplete1.patch philwebster, 2013-08-27 02:01 review
test_autocomplete-18409-2.diff terry.reedy, 2014-06-04 00:59 review
Messages (4)
msg192711 - (view) Author: Phil Webster (philwebster) * Date: 2013-07-09 02:33
I've started writing this test which depends on #18365.
msg196258 - (view) Author: Phil Webster (philwebster) * Date: 2013-08-27 02:01
I've attached my work so far in order to get feedback before I head too far in the wrong direction. I'm not sure if my addition of mock events and AutoCompleteWindow is the right way to go and I'm open to any guidance.
msg219736 - (view) Author: Roundup Robot (python-dev) Date: 2014-06-04 00:57
New changeset 4f1abf87df12 by Terry Jan Reedy in branch '2.7':
Issue #18409: Idle: add unittest for AutoComplete. Patch by Phil Webster.
http://hg.python.org/cpython/rev/4f1abf87df12

New changeset bf8710cf896b by Terry Jan Reedy in branch '3.4':
Issue #18409: Idle: add unittest for AutoComplete. Patch by Phil Webster.
http://hg.python.org/cpython/rev/bf8710cf896b
msg219737 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-06-04 00:59
The coverage of Phil's patch is about 60%. I decided to push it with slight modification so he is properly credited with what he did. Changes: 
Move mock AutoCompleteWindow to test file; too special.
Move ac_func to mock_idle for use in other tests; well done!
Redo Event mock. Assign needed attributes when create.
Make changes needed because of above two changes.
Add macosxSupport call now needed to run without raising.
Delete root when done.
Add abbreviation for self.autocomplete.open_completions, etc.
Improve the logic of a couple of subtests.

Any blank class could be used to mock event, but putting it in mock_tk allows for a docstring and does the update trick just once.

Saimadhav, open a new issue to work more on this test.
History
Date User Action Args
2014-06-04 00:59:51terry.reedysetstatus: open -> closed
files: + test_autocomplete-18409-2.diff

nosy: + sahutd
messages: + msg219737

resolution: fixed
2014-06-04 00:57:45python-devsetnosy: + python-dev
messages: + msg219736
2014-06-01 22:06:21terry.reedysettitle: IDLE Improvements: Unit test for AutoComplete.py -> Idle: test AutoComplete.py
stage: needs patch -> patch review
versions: + Python 3.5, - Python 3.3
2013-08-27 02:01:16philwebstersetfiles: + 18409test_autocomplete1.patch
keywords: + patch
messages: + msg196258
2013-08-08 17:23:39ezio.melottisetnosy: + ezio.melotti
2013-07-13 01:10:22terry.reedysetstage: needs patch
2013-07-09 02:33:51philwebstercreate